//
//  ListPrizeTableViewCell.m
//  Open
//
//  Created by 雷俊博 on 2019/9/3.
//  Copyright © 2019 黄江涛 . All rights reserved.
//

#import "ListPrizeTableViewCell.h"
#import "UIColor+Hex.h"
#import "NSString+AttributedString.h"
#import "UIButton+ImageTitleSpacing.h"
#import "Constants.h"

#import <Masonry.h>

@interface ListPrizeTableViewCell ()

@property (nonatomic, strong)UIView *backView;

@property (nonatomic, strong)UIImageView *img_package;

//红色背景图片还是灰色背景图片
@property (nonatomic, strong)UIImageView *img_state;

@property (nonatomic, strong)UIImageView *lineView;

//金币或红包
@property (nonatomic, strong)UILabel *lb_type;


//金币数
@property (nonatomic, strong)UILabel *lb_number;

@property (nonatomic, strong)UILabel *lb_unit;

@property (nonatomic, strong)UILabel *lb_bottomType;

@property (nonatomic, strong)UILabel *lb_content;

//@property (nonatomic, strong)


@property (nonatomic, strong)UILabel *lb_date;

@property (nonatomic, strong)UIImageView *img_failure;

@property (nonatomic, strong)UILabel *lb_account;


@property (nonatomic, strong)UIImageView *img_rightState;

@property (nonatomic, strong)UIButton *btn_detail;

@property (nonatomic, strong)UIImageView *img_listState;

@property(nonatomic,strong)MASConstraint *lb_numberConstraint;


//unknow
@property (nonatomic, strong)UILabel *lb_download1;

@property (nonatomic, strong)UILabel *lb_download2;


@end

@implementation ListPrizeTableViewCell
#pragma mark - life cycle
- (instancetype)initWithStyle:(UITableViewCellStyle)style reuseIdentifier:(NSString *)reuseIdentifier
{
    self = [super initWithStyle:style reuseIdentifier:reuseIdentifier];
    if (self) {
        [self.contentView addSubview:self.backView];
        [self.contentView addSubview:self.img_state];
        [self.contentView addSubview:self.lb_content];
        [self.contentView addSubview:self.lb_date];
        [self.contentView addSubview:self.img_failure];
        [self.contentView addSubview:self.lb_account];
        
       
        
        [self.contentView addSubview:self.lb_download1];
        [self.contentView addSubview:self.lb_download2];
        
        [self.contentView addSubview:self.img_listState];
        
        self.backgroundColor = [UIColor clearColor];
        
        
        
       
        
        
        
      
        
        
        [self setupUI];
    }
    return self;
}

- (void)setupUI
{
    
    [self.backView mas_makeConstraints:^(MASConstraintMaker *make) {
        make.top.bottom.right.offset(0);
        make.left.offset(20 * WIDTHRADIU);
    }];
    
    [self.img_state mas_makeConstraints:^(MASConstraintMaker *make) {
        make.top.left.offset(0);
        make.width.offset(120 * WIDTHRADIU);
        make.height.offset(85 * WIDTHRADIU);
    }];
    
    [self.lb_type mas_makeConstraints:^(MASConstraintMaker *make) {
        make.centerY.equalTo(self.img_state);
        make.left.offset(7 * WIDTHRADIU);
    }];
    
    [self.lineView mas_makeConstraints:^(MASConstraintMaker *make) {
        make.centerY.equalTo(self.img_state);
        make.left.offset(24 * WIDTHRADIU);
    }];
    WeakSelf
    [self.lb_number mas_makeConstraints:^(MASConstraintMaker *make) {
      weakSelf.lb_numberConstraint =  make.centerX.equalTo(self.img_state).offset(12 * WIDTHRADIU - 9 * WIDTHRADIU);
        make.top.offset(16 * WIDTHRADIU);
        make.height.offset(35 * WIDTHRADIU);
    }];
    
    [self.lb_unit mas_makeConstraints:^(MASConstraintMaker *make) {
        make.left.equalTo(self.lb_number.mas_right).offset(5 * WIDTHRADIU);
        make.bottom.equalTo(self.lb_number);
        make.height.offset(11 * WIDTHRADIU);
    }];
    
    
    [self.lb_bottomType mas_makeConstraints:^(MASConstraintMaker *make) {
        make.top.equalTo(self.lb_number.mas_bottom).offset(10 * WIDTHRADIU);
        make.centerX.equalTo(self.img_state).offset(12 * WIDTHRADIU);
        make.height.offset(12 * WIDTHRADIU);
    }];
    
    [self.lb_content mas_makeConstraints:^(MASConstraintMaker *make) {
        make.left.equalTo(self.img_state.mas_right).offset(15 * WIDTHRADIU);
        make.top.offset(15 * WIDTHRADIU);
        make.height.offset(16 * WIDTHRADIU);
    }];
    
    
    [self.lb_download1 mas_makeConstraints:^(MASConstraintMaker *make) {
        make.left.equalTo(self.img_state.mas_right).offset(15 * WIDTHRADIU);
        make.top.offset(15 * WIDTHRADIU);
    }];
    
    [self.lb_download2 mas_makeConstraints:^(MASConstraintMaker *make) {
        make.top.equalTo(self.lb_download1.mas_bottom).offset(8 * WIDTHRADIU);
        make.left.equalTo(self.lb_download1);
        make.height.offset(12 * WIDTHRADIU);
    }];
    
    
    [self.lb_date mas_makeConstraints:^(MASConstraintMaker *make) {
        make.top.equalTo(self.lb_content.mas_bottom).offset(12 * WIDTHRADIU);
        make.left.equalTo(self.lb_content);
        make.height.offset(12 * WIDTHRADIU);
    }];
    
    [self.img_failure mas_makeConstraints:^(MASConstraintMaker *make) {
        make.top.equalTo(self.lb_date.mas_bottom).offset(8 * WIDTHRADIU);
        make.left.equalTo(self.lb_content);
    }];
    
    [self.lb_account mas_makeConstraints:^(MASConstraintMaker *make) {
        make.top.equalTo(self.lb_date.mas_bottom).offset(8 * WIDTHRADIU);
        make.left.equalTo(self.img_failure.mas_right);
        make.height.offset(12 * WIDTHRADIU);
    }];
    
    [self.img_rightState mas_makeConstraints:^(MASConstraintMaker *make) {
        make.right.top.offset(0);
        make.width.height.offset(50 * WIDTHRADIU);
    }];
    
    [self.btn_detail mas_makeConstraints:^(MASConstraintMaker *make) {
        make.right.offset(-5 * WIDTHRADIU);
        make.bottom.offset(-7 * WIDTHRADIU);
    }];
    
    [self.img_listState mas_makeConstraints:^(MASConstraintMaker *make) {
        make.right.offset(-20 * WIDTHRADIU);
        make.top.offset(10 * WIDTHRADIU);
    }];
    
    [self.img_package mas_makeConstraints:^(MASConstraintMaker *make) {
        make.center.equalTo(self.img_state);
    }];
   
   
    
    
}

#pragma mark public methods
- (void)refreshUIWithData:(NSDictionary *)dic
{
    NSString *giftId = dic[@"giftId"];
    
    if (![NSString blankString:dic[@"createTime"]]) {
        NSDate *startDate = [self getDateWithDateStr:dic[@"createTime"]];
        NSDate *endDate = [self getDateAfter30DaysWithCurrentDate:startDate];
        
        self.lb_date.text = [NSString stringWithFormat:@"有效期：%@-%@",[self getCustomDateStrWithDate:startDate],[self getCustomDateStrWithDate:endDate]];
    }
    
    if ([giftId isEqualToString:@"1"]){
        self.type = CTListPrizeTypeCoins200;
    }else if ([giftId isEqualToString:@"9"]) {
        self.type = CTListPrizeTypePackage10;
    }else if ([giftId isEqualToString:@"10"]){
        self.type = CTListPrizeTypePackage3;
        
    }else if ([giftId isEqualToString:@"11"]){
        self.type = CTListPrizeTypePackage2;
    }else if ([giftId isEqualToString:@"12"]){
        self.type = CTListPrizeTypeCoins388;
    }else if ([giftId isEqualToString:@"13"]){
        self.type = CTListPrizeTypeCoins588;
    }else{
        self.type = CTListPrizeTypeUnKnow;
    }
    
   
    
    if ([dic[@"lotterStatus"] isEqualToString:@"未领取"]) {
        self.state = CTListPrizeStateUnGet;
    }else if ([dic[@"lotterStatus"] isEqualToString:@"发放中"]){
        self.state = CTListPrizeStateGiving;
    }else if ([dic[@"lotterStatus"] isEqualToString:@"已过期"]){
        self.state = CTListPrizeStateInvalid;
    }else if ([dic[@"lotterStatus"] isEqualToString:@"已领取"]){
         self.state = CTListPrizeStateReceived;
    }else if ([dic[@"lotterStatus"] isEqualToString:@"领取失败"]){
        self.state = CTListPrizeStateFailure;
        
    }
    
    
    
    
    [self.lb_numberConstraint uninstall];
    switch (self.type) {
        case CTListPrizeTypeCoins200:
        case CTListPrizeTypeCoins388:
        case CTListPrizeTypeCoins588:
            {
                //奖品类型
                NSString *str = @"金\n币";
                NSMutableAttributedString *attributedStr = [[NSMutableAttributedString alloc] initWithString:str];
                NSMutableParagraphStyle *paragraphStyle = [[NSMutableParagraphStyle alloc] init];
                paragraphStyle.lineSpacing = 8.0 * WIDTHRADIU; // 设置行间距
                paragraphStyle.alignment = NSTextAlignmentCenter; //设置两端对齐显示
                [attributedStr addAttribute:NSParagraphStyleAttributeName value:paragraphStyle range:NSMakeRange(0, attributedStr.length)];
                self.lb_type.attributedText = attributedStr;
                
                self.lineView.hidden = NO;
                
                //隐藏单位标签
                self.lb_unit.hidden = YES;
                
                //金币数量
                self.lb_number.text = [dic[@"giftName"] stringByReplacingOccurrencesOfString:@"金币" withString:@""];
                //奖品类型2
                self.lb_bottomType.text = @"金币奖励";
                
                //奖品名称
                self.lb_content.text = [NSString stringWithFormat:@"%@",dic[@"giftName"]];
                
                self.lb_content.hidden = NO;
                self.lb_date.hidden = NO;
                self.lb_account.hidden = NO;
                self.btn_detail.hidden = NO;
                self.img_listState.hidden = NO;
                self.img_rightState.hidden = NO;
                self.lb_download1.hidden = YES;
                self.lb_download2.hidden = YES;
                
                //金币时数字的位置在虚线后面部分居中
                [self.lb_number mas_makeConstraints:^(MASConstraintMaker *make) {
                    self.lb_numberConstraint = make.centerX.equalTo(self.img_state).offset(12 * WIDTHRADIU);
                }];
                
                
                switch (self.state) {
                    case CTListPrizeStateUnGet:
                        {
                            self.lb_account.text = @"未领取";
                        }
                        break;
                    case CTListPrizeStateGiving:
                    {
                        self.lb_account.text = @"发放中";
                    }
                        break;
                    case CTListPrizeStateReceived:
                    {
                        self.lb_account.text = @"发放成功";
                        
                        if (![NSString blankString:dic[@"createTime"]]) {
                            NSDate *startDate = [self getDateWithDateStr:dic[@"createTime"]];
                            NSDate *endDate = [self getDateAfter30DaysWithCurrentDate:startDate];
                            
                            self.lb_date.text =  [NSString stringWithFormat:@"领取时间：%@",[self  getCustomDateStrWithDate:startDate]];
                        }
                    }
                        break;
                    case CTListPrizeStateInvalid:
                    {
                        self.lb_account.text = @"已过期";
                    }
                        break;
                    case CTListPrizeStateFailure:
                    {
                        self.lb_account.text = @"发放失败";
                    }
                        break;
                    default:
                        break;
                }
            }
            break;
        case CTListPrizeTypePackage2:
        case CTListPrizeTypePackage3:
        case CTListPrizeTypePackage10:
        {
            //奖品类型
            NSString *str = @"红\n包";
            NSMutableAttributedString *attributedStr = [[NSMutableAttributedString alloc] initWithString:str];
            NSMutableParagraphStyle *paragraphStyle = [[NSMutableParagraphStyle alloc] init];
            paragraphStyle.lineSpacing = 8.0 * WIDTHRADIU; // 设置行间距
            paragraphStyle.alignment = NSTextAlignmentCenter; //设置两端对齐显示
            [attributedStr addAttribute:NSParagraphStyleAttributeName value:paragraphStyle range:NSMakeRange(0, attributedStr.length)];
            self.lb_type.attributedText = attributedStr;
            
            self.lb_unit.hidden = NO;
            
             self.lineView.hidden = NO;
            
            self.lb_number.text = [dic[@"giftName"] stringByReplacingOccurrencesOfString:@"元红包" withString:@""];
            self.lb_bottomType.text = @"微信红包";
            self.lb_content.text = [NSString stringWithFormat:@"%@元微信红包",self.lb_number.text];
            
            self.lb_content.hidden = NO;
            self.lb_date.hidden = NO;
            self.lb_account.hidden = NO;
            self.btn_detail.hidden = NO;
            self.img_listState.hidden = NO;
            self.img_rightState.hidden = NO;
            self.lb_download1.hidden = YES;
            self.lb_download2.hidden = YES;
            
            [self.lb_number mas_makeConstraints:^(MASConstraintMaker *make) {
                self.lb_numberConstraint = make.centerX.equalTo(self.img_state).offset(12 * WIDTHRADIU - 9 * WIDTHRADIU);
            }];
            
            switch (self.state) {
                case CTListPrizeStateUnGet:
                {
                    NSString *payOrderNo = dic[@"payOrderNo"];
                    
                    self.lb_account.text = [NSString blankString:payOrderNo] ? @"未领取" : [NSString stringWithFormat:@"提现账号：%@",payOrderNo];
                }
                    break;
                case CTListPrizeStateGiving:
                {
                    NSString *payOrderNo = dic[@"payOrderNo"];
                    
                    self.lb_account.text = [NSString blankString:payOrderNo] ? @"未领取" : [NSString stringWithFormat:@"提现账号：%@",payOrderNo];
                }
                    break;
                case CTListPrizeStateReceived:
                {
                    self.lb_account.text = @"发放成功";
                    if (![NSString blankString:dic[@"createTime"]]) {
                        NSDate *startDate = [self getDateWithDateStr:dic[@"createTime"]];
                        NSDate *endDate = [self getDateAfter30DaysWithCurrentDate:startDate];
                        
                        self.lb_date.text =  [NSString stringWithFormat:@"领取时间：%@",[self  getCustomDateStrWithDate:startDate]];
                    }
                }
                    break;
                case CTListPrizeStateInvalid:
                {
                    self.lb_account.text = @"已过期";
                }
                    break;
                case CTListPrizeStateFailure:
                {
                    self.lb_account.text = @"发放失败";
                }
                    break;
                default:
                    break;
            }
        }
            break;
        case CTListPrizeTypeUnKnow:
        {
            NSString *str = @"";
            NSMutableAttributedString *attributedStr = [[NSMutableAttributedString alloc] initWithString:str];
            NSMutableParagraphStyle *paragraphStyle = [[NSMutableParagraphStyle alloc] init];
            paragraphStyle.lineSpacing = 8.0 * WIDTHRADIU; // 设置行间距
            paragraphStyle.alignment = NSTextAlignmentCenter; //设置两端对齐显示
            [attributedStr addAttribute:NSParagraphStyleAttributeName value:paragraphStyle range:NSMakeRange(0, attributedStr.length)];
            self.lb_type.attributedText = attributedStr;
            
            self.lb_unit.hidden = YES;
             self.lineView.hidden = YES;
            self.lb_number.text = @"";
            self.lb_bottomType.text = @"";
            self.lb_content.hidden = YES;
            self.lb_date.hidden = YES;
            self.lb_account.hidden = YES;
            self.btn_detail.hidden = YES;
            self.img_rightState.hidden = YES;
            self.img_listState.hidden = YES;
            self.lb_download1.hidden = NO;
            self.lb_download2.hidden = NO;
            [self.lb_number mas_makeConstraints:^(MASConstraintMaker *make) {
                self.lb_numberConstraint = make.centerX.equalTo(self.img_state).offset(12 * WIDTHRADIU);
            }];
            
            self.img_state.image = [UIImage imageNamed:@"奖品-框-未发放"];
            
        }
            break;
            
        default:
            break;
    }
    
    
}

#pragma mark - 字符串转日期后30天后的日期
- (NSDate *)getDateWithDateStr:(NSString *)str
{
    NSDateFormatter *dateFormatter = [[NSDateFormatter alloc] init];
    [dateFormatter setDateFormat:@"yyyy/MM/dd"];
    NSDate *date = [dateFormatter dateFromString:str];
    
    return date;
}

- (NSDate *)getDateAfter30DaysWithCurrentDate:(NSDate *)date
{
    NSDate *newDate = [date dateByAddingTimeInterval:30 * 60 * 60  * 24];
    return newDate;
}

- (NSString *)getCustomDateStrWithDate:(NSDate *)date
{
    // 获取代表公历的NSCalendar对象
    NSCalendar *gregorian = [[NSCalendar alloc]
                             initWithCalendarIdentifier:NSCalendarIdentifierGregorian];
    // 定义一个时间字段的旗标，指定将会获取指定年、月、日、时、分、秒的信息
    unsigned unitFlags = NSCalendarUnitYear |
    NSCalendarUnitMonth |  NSCalendarUnitDay |
    NSCalendarUnitHour |  NSCalendarUnitMinute |
    NSCalendarUnitSecond | NSCalendarUnitWeekday;
    // 获取不同时间字段的信息
    NSDateComponents* comp = [gregorian components: unitFlags
                                          fromDate:date];
    // 获取各时间字段的数值
    NSLog(@"现在是%ld年" , comp.year);
    NSLog(@"现在是%ld月 " , comp.month);
    NSLog(@"现在是%ld日" , comp.day);
    NSLog(@"现在是%ld时" , comp.hour);
    NSLog(@"现在是%ld分" , comp.minute);
    NSLog(@"现在是%ld秒" , comp.second);
    NSLog(@"现在是星期%ld" , comp.weekday);
    
    return [NSString stringWithFormat:@"%ld.%ld.%ld",(long)comp.year,comp.month,comp.day];
    
}


#pragma mark - getters and setters

- (void)setType:(CTListPrizeType)type
{
    _type = type;
    
    switch (type) {
        case CTListPrizeTypeCoins200:
        case CTListPrizeTypeCoins388:
        case CTListPrizeTypeCoins588:
        {
            self.img_package.image = [UIImage imageNamed:@""];
        }
            break;
        case CTListPrizeTypePackage2:
        case CTListPrizeTypePackage3:
        case CTListPrizeTypePackage10:
        {
            self.img_package.image = [UIImage imageNamed:@""];
        }
            break;
        case CTListPrizeTypeUnKnow:
        {
            self.img_package.image = [UIImage imageNamed:@"神秘礼包"];
        }
            break;
            
        default:
            break;
    }
    
}

- (void)setState:(CTListPrizeState)state
{
    _state = state;
    switch (state) {
        case CTListPrizeStateUnGet:
            {
                self.img_state.image = [UIImage imageNamed:@"奖品-框-未发放"];
                self.img_rightState.image = [UIImage imageNamed:@"未领取"];
                 self.img_listState.image = [UIImage imageNamed:@""];
                self.img_failure.image = [UIImage imageNamed:@""];
                
                self.lb_content.textColor = [UIColor colorWithHex:0x808080];
                self.lb_date.textColor = [UIColor colorWithHex:0x808080];
                self.lb_account.textColor = [UIColor colorWithHex:0x808080];
            }
            break;
        case CTListPrizeStateGiving:
        {
            self.img_state.image = [UIImage imageNamed:@"奖品-框-未发放"];
            self.img_rightState.image = [UIImage imageNamed:@"发放中"];
             self.img_listState.image = [UIImage imageNamed:@""];
            self.img_failure.image = [UIImage imageNamed:@""];
            
            self.lb_content.textColor = [UIColor colorWithHex:0x808080];
            self.lb_date.textColor = [UIColor colorWithHex:0x808080];
            self.lb_account.textColor = [UIColor colorWithHex:0x808080];
        }
            break;
        case CTListPrizeStateReceived:
        {
            self.img_state.image = [UIImage imageNamed:@"奖品-框-已发放"];
            self.img_rightState.image = [UIImage imageNamed:@""];
            self.img_listState.image = [UIImage imageNamed:@"my_activity_prize_Rogerthat_normal"];
            self.img_failure.image = [UIImage imageNamed:@""];
            
            self.lb_content.textColor = [UIColor colorWithHex:0xcccccc];
            self.lb_date.textColor = [UIColor colorWithHex:0xcccccc];
            self.lb_account.textColor = [UIColor colorWithHex:0xcccccc];
        }
            break;
        case CTListPrizeStateInvalid:
        {
            self.img_state.image = [UIImage imageNamed:@"奖品-框-已发放"];
            self.img_rightState.image = [UIImage imageNamed:@""];
             self.img_listState.image = [UIImage imageNamed:@"my_activity_prize_Invalid_normal"];
            self.img_failure.image = [UIImage imageNamed:@""];
            self.lb_content.textColor = [UIColor colorWithHex:0xcccccc];
            self.lb_date.textColor = [UIColor colorWithHex:0xcccccc];
            self.lb_account.textColor = [UIColor colorWithHex:0xcccccc];
        }
            break;
        case CTListPrizeStateFailure:
        {
            self.img_state.image = [UIImage imageNamed:@"奖品-框-发放失败"];
            self.img_rightState.image = [UIImage imageNamed:@"发放失败"];
            self.img_listState.image = [UIImage imageNamed:@""];
            self.img_failure.image = [UIImage imageNamed:@"警示"];
            self.lb_content.textColor = [UIColor colorWithHex:0xf19011];
            self.lb_date.textColor = [UIColor colorWithHex:0xf19011];
            self.lb_account.textColor = [UIColor colorWithHex:0xf19011];
        }
        default:
            break;
    }
}


- (UIView *)backView
{
    if (!_backView) {
        _backView = [[UIView alloc]init];
        _backView.backgroundColor = [UIColor whiteColor];
        
        _backView.layer.cornerRadius = 5;
        
        // 阴影颜色
        _backView.layer.shadowColor = [UIColor colorWithHex:0x797979].CGColor;
        // 阴影偏移，默认(0, -3)
        _backView.layer.shadowOffset = CGSizeMake(0,0);
        // 阴影透明度，默认0
        _backView.layer.shadowOpacity = 0.5;
        // 阴影半径，默认3
        _backView.layer.shadowRadius = 2;
        
        [_backView addSubview:self.img_rightState];
        [_backView addSubview:self.btn_detail];
        
        
        
        
    }
    return _backView;
}

- (UIImageView *)img_package
{
    if (!_img_package) {
        _img_package = [[UIImageView alloc]init];
    }
    return _img_package;
}

- (UIImageView *)img_state
{
    if (!_img_state) {
        _img_state = [[UIImageView alloc]initWithFrame:CGRectMake(0, 0, 120 * WIDTHRADIU, 85 * WIDTHRADIU)];
        _img_state.image = [UIImage imageNamed:@"奖品-框-未发放"];
        [_img_state addSubview:self.lb_type];
        [_img_state addSubview:self.lineView];
        [_img_state addSubview:self.lb_number];
        [_img_state addSubview:self.lb_unit];
        [_img_state addSubview:self.lb_bottomType];
        
        [_img_state addSubview:self.img_package];
        
        
    }
    return _img_state;
}

- (UILabel *)lb_type
{
    if (!_lb_type) {
        _lb_type = [[UILabel alloc]init];
        _lb_type.textAlignment = NSTextAlignmentCenter;
        _lb_type.textColor = [UIColor whiteColor];
        _lb_type.font = [UIFont systemFontOfSize:12 * WIDTHRADIU];
        _lb_type.numberOfLines = 0;
        
//        NSString *str = @"红\n包";
//        NSMutableAttributedString *attributedStr = [[NSMutableAttributedString alloc] initWithString:str];
//        NSMutableParagraphStyle *paragraphStyle = [[NSMutableParagraphStyle alloc] init];
//        paragraphStyle.lineSpacing = 8.0 * WIDTHRADIU; // 设置行间距
//        paragraphStyle.alignment = NSTextAlignmentCenter; //设置两端对齐显示
//        [attributedStr addAttribute:NSParagraphStyleAttributeName value:paragraphStyle range:NSMakeRange(0, attributedStr.length)];
//        _lb_type.attributedText = attributedStr;
        
    }
    return _lb_type;
}

- (UIImageView *)lineView
{
    if (!_lineView) {
        _lineView = [[UIImageView alloc]init];
        
        _lineView.image = [UIImage imageNamed:@"分割线"];
        
    }
    return _lineView;
}

- (UILabel *)lb_number
{
    if (!_lb_number) {
        _lb_number = [[UILabel alloc]init];
        _lb_number.textColor = [UIColor whiteColor];
        _lb_number.textAlignment = NSTextAlignmentCenter;
        _lb_number.font = [UIFont systemFontOfSize:45 * WIDTHRADIU];
        //_lb_number.text = @"10";
        
    }
    return _lb_number;
}

- (UILabel *)lb_unit
{
    if (!_lb_unit) {
        _lb_unit = [[UILabel alloc]init];
        _lb_unit.textColor = [UIColor whiteColor];
        _lb_unit.textAlignment = NSTextAlignmentCenter;
        _lb_unit.font = [UIFont systemFontOfSize:13 * WIDTHRADIU];
        _lb_unit.text = @"元";
    }
    return _lb_unit;
}

- (UILabel *)lb_bottomType
{
    if (!_lb_bottomType) {
        _lb_bottomType = [[UILabel alloc]init];
        _lb_bottomType.textAlignment = NSTextAlignmentCenter;
        _lb_bottomType.textColor = [UIColor whiteColor];
        _lb_bottomType.font = [UIFont systemFontOfSize:12 * WIDTHRADIU];
       // _lb_bottomType.text = @"微信红包";
    }
    return _lb_bottomType;
}

- (UILabel *)lb_content
{
    if (!_lb_content) {
        _lb_content = [[UILabel alloc]init];
        //_lb_content.text = @"2元微信红包";
        _lb_content.textColor = [UIColor colorWithHex:0x808080];
        _lb_content.font = [UIFont boldSystemFontOfSize:16 * WIDTHRADIU];
    }
    return _lb_content;
}

- (UILabel *)lb_date
{
    if (!_lb_date) {
        _lb_date = [[UILabel alloc]init];
        //_lb_date.text = @"有效期：2019.09.02-2019.10.02";
        _lb_date.textColor = [UIColor colorWithHex:0x808080];
        _lb_date.font = [UIFont systemFontOfSize:12 * WIDTHRADIU];
    }
    return _lb_date;
}

- (UIImageView *)img_failure
{
    if (!_img_failure) {
        _img_failure = [[UIImageView alloc]init];
    }
    return _img_failure;
}

- (UILabel *)lb_account
{
    if (!_lb_account) {
        _lb_account = [[UILabel alloc]init];
        //_lb_account.text = @"未绑定微信";
        _lb_account.textColor = [UIColor colorWithHex:0x808080];
        _lb_account.font = [UIFont systemFontOfSize:12 * WIDTHRADIU];
    }
    return _lb_account;
}


- (UIImageView *)img_rightState
{
    if (!_img_rightState) {
        _img_rightState = [[UIImageView alloc]init];
        //_img_rightState.image = [UIImage imageNamed:@"未领取"];
        
        
        
    }
    return _img_rightState;
}

- (UIButton *)btn_detail
{
    if (!_btn_detail) {
        _btn_detail = [UIButton buttonWithType:UIButtonTypeCustom];
        [_btn_detail setTitle:@"详情" forState:UIControlStateNormal];
        [_btn_detail setTitleColor:[UIColor colorWithHex:0xb2b2b2] forState:UIControlStateNormal];
        [_btn_detail setImage:[UIImage imageNamed:@"my_activity_prize_Details_normal"] forState:UIControlStateNormal];
        _btn_detail.titleLabel.font = [UIFont systemFontOfSize:12 * WIDTHRADIU];
        [_btn_detail layoutButtonWithEdgeInsetsStyle:GLButtonEdgeInsetsStyleRight imageTitleSpace:5];
        
    }
    return _btn_detail;
}


- (UIImageView *)img_listState
{    if (!_img_listState) {
        _img_listState = [[UIImageView alloc]init];
        _img_listState.image = [UIImage imageNamed:@"my_activity_prize_Rogerthat_normal"];
        
        
    }
    return _img_listState;
}

- (UILabel *)lb_download1
{
    if (!_lb_download1) {
        _lb_download1 = [[UILabel alloc]init];
        _lb_download1.text = @"下载最新版“看看社保”\n才能查看礼包";
        _lb_download1.textColor = [UIColor colorWithHex:0x808080];
        _lb_download1.font = [UIFont boldSystemFontOfSize:16 * WIDTHRADIU];
        _lb_download1.numberOfLines = 0;
    }
    return _lb_download1;
}

- (UILabel *)lb_download2
{
    if (!_lb_download2) {
        _lb_download2 = [[UILabel alloc]init];
        _lb_download2.text = @"“我的”-“设置”-“关于”-“版本更新”";
        _lb_download2.textColor = [UIColor colorWithHex:0x808080];
        _lb_download2.font = [UIFont systemFontOfSize:12 * WIDTHRADIU];
    }
    return _lb_download2;
}



- (void)setFrame:(CGRect)frame{
    frame.origin.x += 15 * WIDTHRADIU;
    frame.origin.y += 15 * WIDTHRADIU;
    frame.size.height -= 15 * WIDTHRADIU;
    frame.size.width -= 30 * WIDTHRADIU;
    [super setFrame:frame];
    
}

- (void)awakeFromNib {
    [super awakeFromNib];
    // Initialization code
}

- (void)setSelected:(BOOL)selected animated:(BOOL)animated {
    [super setSelected:selected animated:animated];

    // Configure the view for the selected state
}

@end
